Subject: Re: [PATCH 3/3] ARM: dts: colibri-imx7: add usb dual-role switch capability

From: Shawn Guo <[email-masked]>
Date: Mon, 20 Jul 2020 10:11:26 +0800

On Tue, Jul 14, 2020 at 08:20:34AM +0000, Philippe Schenker wrote:
> On Tue, 2020-07-14 at 09:55 +0200, Ahmad Fatoum wrote:
> > Hello Philippe,
> > 
> > On 7/13/20 1:53 PM, Philippe Schenker wrote:
> > > On Mon, 2020-07-13 at 11:46 +0200, Ahmad Fatoum wrote:
> > > > Hello Philippe,
> > > > 
> > > > > +	extcon_usbc_det: usbc_det {
> > > > > +		compatible = "linux,extcon-usb-gpio";
> > > > 
> > > > According to 4602f3bff266 ("usb: common: add USB GPIO based
> > > > connection
> > > > detection driver"):
> > > > "the old way using extcon to support USB Dual-Role switch is now
> > > > deprecated
> > > >  when use Type-B connector."
> > > > 
> > > > Have you considered using a compatible = "gpio-usb-b-connector"
> > > > child
> > > > node instead?
> > > > 
> > > > Cheers,
> > > > Ahmad
> > > 
> > > Thanks for the Hint Ahmad,
> > > 
> > > I already tried and just now tried again but it doesn't work on our
> > > hardware. Are you sure this works with chipidea driver?
> > 
> > I haven't, just wanted to point its existence out in case you didn't
> > know.
> > Seems we need to call of_platform_populate somewhere in the driver.
> > Unsure what other changes are necessary.
> 
> Yep, thanks for that! It seems like that need to be really called as I
> can't get a probe of the new usb connector driver. I quickly grepped
> through code and saw that tegra USB driver is calling
> of_platform_populate and they also use that gpio-usb-b-connector.
> 
> > 
> > > Should this new usb-connector stuff work in general with every old
> > > driver?
> > 
> > If the driver support isn't there yet, I think use of extcon is fine
> > as is.

Shouldn't we improve chipidea driver to get it work with gpio-usb-b-connector?

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel